0

I installed a mint Raspberry Pi 4 with Raspbian and wanted to connect my Brother HL-2240D printer to it. I used the Driver Installation tool provided on https://support.brother.com/g/b/downloadlist.aspx?c=eu_ot&lang=en&prod=hl2240d_all&os=128 and followed the steps to install the lpr and cupswrapper. The whole transaction looks like this:

sudo bash linux-brprinter-installer-2.2.2-2 
Input model name ->HL2240D

You are going to install following packages.
   hl2240dlpr-2.1.1-1.i386.deb
   cupswrapperHL2240D-2.0.4-2.i386.deb
OK? [y/N] ->y

dpkg -x hl2240dlpr-2.1.1-1.i386.deb /
dpkg -x cupswrapperHL2240D-2.0.4-2.i386.deb /
dpkg-deb: building package 'hl2240dlpr' in 'hl2240dlpr-2.1.1-1a.i386.deb'.
dpkg -b ./brother_driver_packdir hl2240dlpr-2.1.1-1a.i386.deb
dpkg-deb: building package 'cupswrapperhl2240d' in 'cupswrapperHL2240D-2.0.4-2a.i386.deb'.
dpkg -b ./brother_driver_packdir cupswrapperHL2240D-2.0.4-2a.i386.deb
dpkg -i --force-all hl2240dlpr-2.1.1-1a.i386.deb
dpkg: warning: overriding problem because --force enabled:
dpkg: warning: package architecture (i386) does not match system (armhf)
(Reading database ... 99549 files and directories currently installed.)
Preparing to unpack hl2240dlpr-2.1.1-1a.i386.deb ...
/var/lib/dpkg/info/hl2240dlpr.prerm: 3: /var/lib/dpkg/info/hl2240dlpr.prerm: /usr/local/Brother/Printer/HL2240D/inf/braddprinter: Exec format error
Unpacking hl2240dlpr:i386 (2.1.1-1) over (2.1.1-1) ...
Setting up hl2240dlpr:i386 (2.1.1-1) ...
/var/lib/dpkg/info/hl2240dlpr.postinst: 3: /var/lib/dpkg/info/hl2240dlpr.postinst: /usr/local/Brother/Printer/HL2240D/inf/braddprinter: Exec format error
dpkg -i --force-all cupswrapperHL2240D-2.0.4-2a.i386.deb
dpkg: warning: overriding problem because --force enabled:
dpkg: warning: package architecture (i386) does not match system (armhf)
(Reading database ... 99549 files and directories currently installed.)
Preparing to unpack cupswrapperHL2240D-2.0.4-2a.i386.deb ...
Restarting cups (via systemctl): cups.service.
Unpacking cupswrapperhl2240d:i386 (2.0.4-2) over (2.0.4-2) ...
Setting up cupswrapperhl2240d:i386 (2.0.4-2) ...
Restarting cups (via systemctl): cups.service.
#
Will you specify the Device URI? [Y/n] ->n

Test Print? [y/N] ->y

wait 5s.
lpr -P HL2240D /usr/share/cups/data/testprint
linux-brprinter-installer-2.2.2-2: line 2976: lpr: command not found
Hit Enter/Return key.   

Afterwards the printer showed up in the Raspbian printer config and in CUPS, so I tried to hit the Test Print button as well as sending a simple text file through lp -d HL2240D /usr/share/cups/data/testprint. All of this works, the queue counts up my attempts and is cleared after some seconds, but the printer does not spit out any page.

lpstat -p shows my printer is idle and if I am unplugging the USB and send another print request, it shows Waiting for the printer to become available, plugging it in, it becomes available, but doesn't print.

What am I doing wrong and what else could I check?

3
  • Have you run cupsenable and cupsaccept? Commented Feb 11, 2021 at 19:05
  • I just ran both of them, but as far as I understand I only need them when printing in a network, as of now even local printing does not work for me
    – TobiBS
    Commented Feb 11, 2021 at 19:09
  • You installed two packages for the i386 system architecture. Your system's architecture is armhf. Not compatible. Will not work. Find armhf replacements for them.
    – waltinator
    Commented Feb 11, 2021 at 20:45

1 Answer 1

0

The solution I used for my problem was to simply use a different driver, than the one provided by Brother. As you can read on http://openprinting.org/printer/Brother/Brother-HL-2240D the printer is compatible with the hpijs-pcl5e driver, hence I downloaded the PPD file from there and did a quick sudo apt install printer-driver-hpijs and the printer was working.

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .